# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Common Changelog](https://common-changelog.org/)
and [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.0.0] - 2023-10-31

### Changed

- **Breaking:** Set text and shadow alpha independently from background alpha. ([#2](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/issues/2)) ([Razzaline](https://codelabs.alteria.xyz/razzaline))
- **Breaking:** Set shadow X and Y offset independently. ([#3](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/issues/3)) ([Razzaline](https://codelabs.alteria.xyz/razzaline))
- **Breaking:** Rename `alpha` in [intern.h](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/src/branch/main/src/libxosd-xft/intern.h) to `bg_alpha`
- **Breaking:** Rename `color` in [intern.h](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/src/branch/main/src/libxosd-xft/intern.h) to `text_color`

### Added

- Change Installation section in readme to Building and Installing, and expand it to include instructions for Arch-, Debian-, and RPM-based systems. ([Razzaline](https://codelabs.alteria.xyz/razzaline), [Rose](https://codelabs.alteria.xyz/rosethorn))
- Add `git`, `autoconf`, and `automake` to PKGBUILD ([Rose](https://codelabs.alteria.xyz/rosethorn)

### Fixed

- Display `delay-in-milliseconds` option in `osd-cat` and `osd-echo` help messages ([#1](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/issues/1)) ([Rose](https://codelabs.alteria.xyz/rosethorn))
- Correct `osd-cat` example in readme and rename remaining reference of `osd-showfile` to `osd-cat` ([`dd8dc6a927`](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/commit/dd8dc6a9274b0ff05249290eafec80c7c861aa13), [`c6a0ec832a`](https://codelabs.alteria.xyz/rosethorn/libxosd-xft/commit/c6a0ec832a59adbb653cff23fdd8ab7250e66ce7)) ([Rose](https://codelabs.alteria.xyz/rosethorn), [Razzaline](https://codelabs.alteria.xyz/razzaline))

## [1.1.0] - 2021-07-05

### Changed

- Changed the command names to `osd-cat` and `osd-echo`

## [1.0.1] - 2021-06-21

### Added

- Added PKGBUILD to build an Arch package from the repository.

## [1.0.0] - 2021-06-21

Initial public release

[2.0.0]: https://codelabs.alteria.xyz/rosethorn/libxosd-xft/compare/1.1.0...2.0.0
[1.1.0]: https://codelabs.alteria.xyz/rosethorn/libxosd-xft/compare/1.0.1...1.1.0
[1.0.1]: https://codelabs.alteria.xyz/rosethorn/libxosd-xft/compare/1.0.0...1.0.1
[1.0.0]: https://codelabs.alteria.xyz/rosethorn/libxosd-xft/releases/tag/1.0.0
